Package: node-carto
Version: 0.9.5-1
Severity: serious
User: debian...@lists.debian.org
Usertags: piuparts

Hi,

during a test with piuparts I noticed your package fails to upgrade from
'testing'.
It installed fine in 'testing', then the upgrade to 'sid' fails
because it tries to overwrite other packages files without declaring a
Breaks+Replaces relation.

See policy 7.6 at
http://www.debian.org/doc/debian-policy/ch-relationships.html#s-replaces

>From the attached log (scroll to the bottom...):

  Selecting previously unselected package node-carto.
  Unpacking node-carto (from .../node-carto_0.9.5-1_all.deb) ...
  dpkg: error processing /var/cache/apt/archives/node-carto_0.9.5-1_all.deb 
(--unpack):
   trying to overwrite '/usr/share/man/man1/carto.1.gz', which is also in 
package carto 0.4.6+ds1-3
  Errors were encountered while processing:
   /var/cache/apt/archives/node-carto_0.9.5-1_all.deb

Don't you need a transitional package to migrate existing users to the
new package name?

Anyway you need to add

Package: node-carto
Breaks: carto (<< 0.9.5)
Replaces: carto (<< 0.9.5)


cheers,

Andreas

Attachment: carto=0.4.6+ds1-3_node-carto=0.9.5-1.log.gz
Description: GNU Zip compressed data

_______________________________________________
Pkg-javascript-devel mailing list
Pkg-javascript-devel@lists.alioth.debian.org
http://lists.alioth.debian.org/cgi-bin/mailman/listinfo/pkg-javascript-devel

Reply via email to